curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v1/customers/{customerId}/contacts/{customerContactId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Department": "<string>",
"Honorific": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v1/customers/{customerId}/contacts/{customerContactId}"
payload = {
"Department": "<string>",
"Honorific": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Department: '<string>',
Honorific: '<string>',
FirstName: '<string>',
LastName: '<string>',
PhoneNumber: '<string>',
MobilePhoneNumber: '<string>',
EmailAddress: '<string>',
Fax: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v1/customers/{customerId}/contacts/{customerContactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Update Customer Contact
Update a specific customer contact
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the customer that the contacts belong to. Represents a unique key for identifying a customer in the JTL system.
The id of the customer contact.
Body
The customer contact to update.
Model Class: UpdateCustomerContact
The contact person's department.
The contact person's form of address.
The contact person's first name.
The contact person's last name.
The contact person's landline phone number.
The contact person's mobile number.
The contact person's email address.
The contact person's fax number.
Response
Was this page helpful?